gnutls_record_get_max_size(3)

NAME
gnutls_record_get_max_size - returns the maximum record size

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_record_get_max_size(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
This function returns the maximum record packet size in this connection. The maximum record size is negotiated by the client after the first handshake message.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.